﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Controls;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Helpers;
using System.Collections;

namespace ActiveDataItemBinding
{

	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			MyModel model = new MyModel();

			model.List = new List<string>(new string[] { "Item 1", "Item 2", "Item 3" });

			this.DataContext = model;
		}
	}

	public class MyModel : PropertyChangeNotifier
	{
		object _currentObject;
		IList _list;

		public object CurrentObject
		{
			get { return _currentObject; }
			set
			{
				if (value != _currentObject)
				{
					_currentObject = value;
					this.RaisePropertyChangedEvent("CurrentObject");
				}
			}
		}

		public IList List
		{
			get { return _list; }
			set
			{
				if (value != _list)
				{
					_list = value;
					this.RaisePropertyChangedEvent("List");
				}
			}
		}

	}
}
